Name:       littre
Version:    2.1.1
Release:    %mkrel 4
Group:      Office/Dictionary
URL:        https://gitlab.com/rchastain/littre
Source0:    https://gitlab.com/rchastain/littre/-/archive/%{version}/littre-%{version}.tar.bz2
Summary:    Emile Littré's French Dictionary
Summary(fr): Dictionnaire de français d'Émile Littré
License:    Cecill

BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Xml)

%description
Software allowing to browse Emile Littré's French Dictionary

%description -l fr
Logiciel permettant de consulter le dictionnaire de la langue française d'Émile Littré.


%prep
%autosetup -p1 -n littre-dev-f7f22981e25f8fa243e94ebd2e965094c5e72f09

%build
%qmake_qt5 PREFIX=/usr/bin \
    DATA_LOCATION=/usr/share/littre
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/Littre
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.dat
%{_datadir}/%{name}/*.qm
%doc README.md
%license Licence-CeCILL.txt


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.1.1-4.mga10
+ Revision: 2216392
- Mageia 10 Mass Rebuild

* Sun Nov 13 2022 papoteur <papoteur> 2.1.1-3.mga9
+ Revision: 1906791
- Add Summary and descriptoin in English

* Thu Nov 10 2022 papoteur <papoteur> 2.1.1-2.mga9
+ Revision: 1905115
- fix: allow removing of owned dir

* Thu Nov 10 2022 papoteur <papoteur> 2.1.1-1.mga9
+ Revision: 1905075
- imported package littre

